## xc-usense 1.2.0

=== Makefile ===

PREFIX = /var/lib/xc

PKGNAME = usense

INSTDIR = $(DESTDIR)$(PREFIX)/$(PKGNAME)

all:

install-all: configure-system

install:
	@echo PWD=$(shell pwd)
	mkdir -p $(INSTDIR)

	cp -ra bin $(INSTDIR)
	cp -ra files $(INSTDIR)
	cp -ra templates $(INSTDIR)

	cp -a favicon.ico $(INSTDIR)

	cp -av config.xml limits.xml measurement-graph-controls.xml \
		measurements.xml measurement.xml settings.xml update.xml wifi-settings.xml \
		$(INSTDIR)

	chown www-data:pi -R $(INSTDIR)
	chmod g+w -R $(INSTDIR)

uninstall:
	rm -rf $(INSTDIR)

configure-system: install
	$(INSTDIR)/files/ci/config-umweltmodul.sh

update:

check:

## xc-usense 1.0.8

=== debian/changelog ===
xc-usense (1.0.8-1) fionec-unstable; urgency=medium

  * Also create file default-limits.json
  * Remove non-ascii chars in logs
  * Try running upgrades in background
  * Update page

 -- Johannes Willkomm <j.willkomm@fionec.de>  Thu, 18 Aug 2022 16:02:06 +0200

xc-usense (1.0.7-1) fionec-unstable; urgency=medium

  * Enable uwsgi logging
  * Scan for new update scripts
  * upgrade scripts
  * update page

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 12 Aug 2022 15:55:31 +0200

xc-usense (1.0.6-2) fionec-unstable; urgency=medium

  * no sudo for start-meas any more

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 09 Aug 2022 16:41:26 +0200

xc-usense (1.0.6-1) fionec-unstable; urgency=medium

  * Enhance install scripts

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 29 Jul 2022 16:54:42 +0200

xc-usense (1.0.4-1) fionec-unstable; urgency=medium

  * Create run dir as /run/usense
  * sudo config of allowed root cmds for www-data user
  * Default to -mp sensor program

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 29 Jul 2022 15:25:10 +0200

xc-usense (1.0.2-4) fionec-unstable; urgency=medium

  * install script fix template DIRS setting

 -- Johannes Willkomm <j.willkomm@fionec.de>  Thu, 28 Jul 2022 12:49:01 +0200

xc-usense (1.0.2-3) fionec-unstable; urgency=medium

  * install script fix template DIRS setting

 -- Johannes Willkomm <j.willkomm@fionec.de>  Thu, 28 Jul 2022 12:44:22 +0200

xc-usense (1.0.2-2) fionec-unstable; urgency=medium

  * Bump version

 -- Johannes Willkomm <j.willkomm@fionec.de>  Thu, 28 Jul 2022 12:38:35 +0200

xc-usense (1.0.2-1) fionec-unstable; urgency=medium

  * Fix pipeline
  * Fix config script after rename

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 27 Jul 2022 16:59:35 +0200

xc-usense (1.0.0-3) fionec-unstable; urgency=medium

  * Also depend on xsltproc

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 27 Jul 2022 16:44:39 +0200

xc-usense (1.0.0-2) fionec-unstable; urgency=medium

  * postinst script

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 27 Jul 2022 16:38:53 +0200

xc-usense (1.0.0-1) fionec-unstable; urgency=medium

  * Initial release

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 27 Jul 2022 14:53:19 +0200

=== debian/control ===
Source: xc-usense
Section: misc
Priority: optional
Maintainer: Johannes Willkomm <j.willkomm@fionec.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://fionec.de
Rules-Requires-Root: no

Package: xc-usense
Architecture: all
Depends: ${misc:Depends}, xc, xsltproc
Description: Environmental sensing by fionec
 The software for the fionec GmbH uSense devices.

## xc-usense 1.2.0

=== debian/changelog ===
xc-usense (1.2.0-4) fionec-unstable; urgency=medium

  * Bugfix: meas. program should remain fixed (setting removed)

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 16:36:14 +0200

xc-usense (1.2.0-3) fionec-unstable; urgency=medium

  * WiFi settings

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 16:18:50 +0200

xc-usense (1.2.0-2) fionec-unstable; urgency=medium

  * Update page

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 15:54:20 +0200

xc-usense (1.2.0-1) fionec-unstable; urgency=medium

  * Remove _ from labels
  * Translations
  * Hide meas program setting

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 15:41:09 +0200

xc-usense (1.1.0-1) fionec-unstable; urgency=medium

  * Updates page adapted
  * Absenden -> Speichern

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 15:25:31 +0200

xc-usense (1.0.9-2) fionec-unstable; urgency=medium

  * Better inst scripts

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 12:56:50 +0200

xc-usense (1.0.9-1) fionec-unstable; urgency=medium

  * Update scripts
  * Official repo now online
  * Two temp sensors configurable
  * Send testemail action
  * Restart WiFi action
  * Z-Acceleration axis is inverted
  * Show processinfo using pstree properly
  * Enable ILFF fast lines reading
  * New colors

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 29 Aug 2022 12:15:07 +0200

xc-usense (1.0.8-2) fionec-unstable; urgency=medium

  * Add debs on cnfmon, ragmon

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 23 Aug 2022 14:52:25 +0200

## xc-usense 1.2.4

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,12 @@
 configure-system: install
 	$(INSTDIR)/files/ci/config-umweltmodul.sh
 
+restart-uwsgi:
+	sudo systemctl restart uwsgi-emperor
+
+stop-uwsgi:
+	sudo systemctl stop uwsgi-emperor
+
 update:
 
 check:

=== debian/changelog ===
xc-usense (1.2.4-7) fionec-unstable; urgency=medium

  * Depend on ragmon <= 1.0.1-1

 --  Johannes Willkomm <j.willkomm@fionec.de>  Fri, 02 Sep 2022 09:15:04 +0200

xc-usense (1.2.4-6) fionec-unstable; urgency=medium

  * New update scripts

 --  Johannes Willkomm <j.willkomm@fionec.de>  Thu, 01 Sep 2022 17:05:30 +0200

xc-usense (1.2.4-5) fionec-unstable; urgency=medium

  * Show LAN-Status (eth0): IP, MAC
  * Delete confirm button new text
  * Reboot/shutdown: no form reload

 -- Johannes Willkomm <j.willkomm@fionec.de>  Thu, 01 Sep 2022 14:35:41 +0200

xc-usense (1.2.4-4) fionec-unstable; urgency=medium

  * Bugfix: BW disabled logic was inverted

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 15:58:55 +0200

xc-usense (1.2.4-3) fionec-unstable; urgency=medium

  * Do not show web.de public account password

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 15:47:03 +0200

xc-usense (1.2.4-2) fionec-unstable; urgency=medium

  * Cannot disable both accel and gyro

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 15:41:34 +0200

xc-usense (1.2.4-1) fionec-unstable; urgency=medium

  * Test email form
  * More graceful manual install
  * Some simpler layout
  * Align left
  * Colors for composed values
  * Fix accel unit to g
  * Fix command line, must be same as in sudoers file
  * Do full-upgrade for system upgrade
  * Version 1.2.4

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 15:19:36 +0200

xc-usense (1.2.2-14) fionec-unstable; urgency=medium

  * Do full-upgrade for system upgrade

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 14:32:30 +0200

xc-usense (1.2.2-12) fionec-unstable; urgency=medium

  * Style

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 14:24:38 +0200

xc-usense (1.2.2-11) fionec-unstable; urgency=medium

  * Restart ragmon is not possible during update

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 14:07:12 +0200

xc-usense (1.2.2-10) fionec-unstable; urgency=medium

  * Also restart ragmon

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 12:54:58 +0200

xc-usense (1.2.2-9) fionec-unstable; urgency=medium

  * Fix ragmon config (update logs shown now)

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 12:44:35 +0200

xc-usense (1.2.2-8) fionec-unstable; urgency=medium

  * Bugfix: g is default and should remain
  * Colors adapted
  * Missing translations

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 09:39:21 +0200

xc-usense (1.2.2-7) fionec-unstable; urgency=medium

  * More design and translations

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 31 Aug 2022 09:00:33 +0200

xc-usense (1.2.2-6) fionec-unstable; urgency=medium

  * Style updated

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 30 Aug 2022 16:25:47 +0200

xc-usense (1.2.2-5) fionec-unstable; urgency=medium

  * Typo

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 30 Aug 2022 16:00:23 +0200

xc-usense (1.2.2-4) fionec-unstable; urgency=medium

  * Some more design updates

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 30 Aug 2022 15:56:48 +0200

xc-usense (1.2.2-3) fionec-unstable; urgency=medium

  * Another bugfix

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 30 Aug 2022 14:28:49 +0200

xc-usense (1.2.2-2) fionec-unstable; urgency=medium

  * Some more patches to the design

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 30 Aug 2022 14:25:17 +0200

xc-usense (1.2.2-1) fionec-unstable; urgency=medium

  * Styles
  * Update page updated
  * Disable select unit in accel
  * Remove "More" and Log file in processes
  * Remove _ after translate
  * Translations
  * Live values page updated
  * Borders Default to elimit

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 30 Aug 2022 12:11:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 Package: xc-usense
 Architecture: all
-Depends: ${misc:Depends}, xc, xsltproc
+Depends: ${misc:Depends}, xc, xsltproc, ragmon (<=1.0.1-1), cnfmon
 Description: Environmental sensing by fionec
  The software for the fionec GmbH uSense devices.

## xc-usense 1.3.2

=== debian/changelog ===
xc-usense (1.3.2-1) fionec-unstable; urgency=medium

  * Enable accel unit selection
  * Show units in limit settings
  * Temperature settings
  * Borders automatically conveted g -> m/s²
  * Set events output file name
  * Display event lists
  * UI filter BW settings translated
  * Set UifilterBwInt (0...7) instead of UiFilterBw in Hz
  * Better arrangement of live values
  * Fix: LED .off rule

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 09 Dec 2022 12:23:05 +0100

xc-usense (1.3.1-1) fionec-unstable; urgency=medium

  * Update package list to new iIm sensor

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 05 Dec 2022 14:34:13 +0100

xc-usense (1.3.0-1) fionec-unstable; urgency=medium

  * Settings for IIM sensor
  * Some design changes

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 05 Dec 2022 12:27:22 +0100

xc-usense (1.2.7-1) fionec-unstable; urgency=medium

  * Main template updated

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 13 Sep 2022 09:52:58 +0200

xc-usense (1.2.6-1) fionec-unstable; urgency=medium

  * New images, New styles

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 13 Sep 2022 09:33:08 +0200

xc-usense (1.2.5-1) fionec-unstable; urgency=medium

  * Cannot disable both accel and gyro
  * Do not show web.de public account password
  * Show eth0 Interface config (IP/MAC)
  * delete confirm button has text "Delete/löschen" now
  * Show network (eth0) status, show heartbeat LED, submit reboot/shutdown forms in background
  * Precreate more files
  * Upgrade process: first update ragmon, then call ragmon to update remaning packages

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 13 Sep 2022 09:08:26 +0200

xc-usense (1.2.4-8) fionec-unstable; urgency=medium

  * Create if not exists

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 02 Sep 2022 10:09:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 Package: xc-usense
 Architecture: all
-Depends: ${misc:Depends}, xc, xsltproc, ragmon (<=1.0.1-1), cnfmon
+Depends: ${misc:Depends}, xc, xsltproc, ragmon, cnfmon
 Description: Environmental sensing by fionec
  The software for the fionec GmbH uSense devices.

## xc-usense 1.3.8

=== debian/changelog ===
xc-usense (1.3.8-3) fionec-unstable; urgency=medium

  * Delete form enhanced

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 20 Dec 2022 16:02:10 +0100

xc-usense (1.3.8-2) fionec-unstable; urgency=medium

  * Fix test email script

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 20 Dec 2022 13:58:14 +0100

xc-usense (1.3.8-1) fionec-unstable; urgency=medium

  * Close button not in live view
  * Remove field status from PS view
  * Some bug fixes

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 20 Dec 2022 10:50:50 +0100

xc-usense (1.3.7-1) fionec-unstable; urgency=medium

  * Fix in-limit-interval detection for cases where meas range covers entire interval
  * Two new icons
  * Style checkboxes in dark color
  * Delete Multiple files at once

 -- Johannes Willkomm <j.willkomm@fionec.de>  Mon, 19 Dec 2022 16:32:44 +0100

xc-usense (1.3.6-2) fionec-unstable; urgency=medium

  * Restart UWSGI emperor after install

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 16 Dec 2022 11:51:56 +0100

xc-usense (1.3.6-1) fionec-unstable; urgency=medium

  * Allow a little more of data rate
  * Small XC API change

 -- Johannes Willkomm <j.willkomm@fionec.de>  Fri, 16 Dec 2022 10:18:38 +0100

xc-usense (1.3.5-1) fionec-unstable; urgency=medium

  * Some updates to meas. archive

 -- Johannes Willkomm <j.willkomm@fionec.de>  Wed, 14 Dec 2022 15:35:55 +0100

xc-usense (1.3.4-1) fionec-unstable; urgency=medium

  * Do not change axes inversion settings

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 13 Dec 2022 12:37:32 +0100

xc-usense (1.3.3-2) fionec-unstable; urgency=medium

  * Two small patches

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 13 Dec 2022 11:56:27 +0100

xc-usense (1.3.3-1) fionec-unstable; urgency=medium

  * Show setting values in german notation and translate back
  * Offset values can be blank instead of 0 too
  * Add button for gyroscope calibration
  * Scripts to get gyro calibration values
  * Settings for axes inversion (not shown in dialog)

 -- Johannes Willkomm <j.willkomm@fionec.de>  Tue, 13 Dec 2022 11:39:20 +0100
